# Class LRUCache<T, U>

#### Type Parameters

- T
- U

- Defined in packages/lib/src/LRUCache.ts:1

#####
Index

### Constructors

constructor

### Properties

keys
map
maxSize

### Methods

get
has
set

##
Constructors

### constructor

- new LRUCache< T , U >(maxSize?: number): LRUCache < T , U >

- #### Type Parameters

  - T
  - U

  #### Parameters

  - maxSize: number = Infinity

  #### Returns LRUCache < T , U >

  - Defined in packages/lib/src/LRUCache.ts:5

##
Properties

### keys

keys: T [] = []

- Defined in packages/lib/src/LRUCache.ts:3

### map

map: Map< T , U > = ...

- Defined in packages/lib/src/LRUCache.ts:2

### `Readonly` maxSize

maxSize: number = Infinity

- Defined in packages/lib/src/LRUCache.ts:5

##
Methods

### get

- get(k: T ): undefined | U

- #### Parameters

  - k: T

  #### Returns undefined | U

  - Defined in packages/lib/src/LRUCache.ts:11

### has

- has(k: T ): boolean

- #### Parameters

  - k: T

  #### Returns boolean

  - Defined in packages/lib/src/LRUCache.ts:7

### set

- set(k: T , v: U ): void

- #### Parameters

  - k: T
  - v: U

  #### Returns void

  - Defined in packages/lib/src/LRUCache.ts:25